export const SIGN_DATA = {
  basic: [
    {
      code: "courseName",
      name: "课程",
      disabled: true,
      enable: true
    },
    {
      code: "paperNumber",
      name: "试卷编号",
      disabled: false,
      enable: true
    },
    {
      code: "examTime",
      name: "考试时间",
      disabled: true,
      enable: true
    },
    {
      code: "examPlace",
      name: "考试地点",
      disabled: true,
      enable: true
    },
    {
      code: "examCount",
      name: "应考人数",
      disabled: true,
      enable: true
    },
    {
      code: "actualExamCount",
      name: "实考人数",
      disabled: true,
      enable: true
    }
  ],
  table: [
    {
      code: "siteNumber",
      name: "座位号",
      disabled: false,
      enable: false
    },
    {
      code: "studentName",
      name: "姓名",
      disabled: false,
      enable: true
    },
    {
      code: "studentCode",
      name: "学号",
      disabled: false,
      enable: true
    },
    {
      code: "clazzName",
      name: "班级",
      disabled: false,
      enable: false
    },
    {
      code: "ticketNumber",
      name: "考号",
      disabled: false,
      enable: false
    }
  ]
};

export const PACKAGE_DATA = {
  title: [
    {
      code: "semesterName",
      name: "学期",
      disabled: false,
      enable: false
    }
  ],
  basic: [
    {
      code: "examTime",
      name: "考试时间",
      disabled: true,
      enable: true
    },
    {
      code: "courseCode",
      name: "课程代码",
      disabled: true,
      enable: true
    },
    {
      code: "paperNumber",
      name: "试卷编号",
      disabled: true,
      enable: true
    },
    {
      code: "examPlace",
      name: "考点",
      disabled: false,
      enable: false
    },
    {
      code: "examRoom",
      name: "考场",
      disabled: false,
      enable: false
    },
    {
      code: "collegeName",
      name: "学院",
      disabled: false,
      enable: false
    },
    {
      code: "majorName",
      name: "专业",
      disabled: false,
      enable: false
    },
    {
      code: "clazzName",
      name: "班级",
      disabled: false,
      enable: false
    },
    {
      code: "campusName",
      name: "校区",
      disabled: false,
      enable: false
    },
    {
      code: "examClassroomName",
      name: "考试教室",
      disabled: false,
      enable: false
    },
    { name: "开课学院", code: "BCollege", disabled: false, enable: false },
    { name: "派监考学院", code: "STICollege", disabled: false, enable: false },
    { name: "上课教师", code: "CTeacher", disabled: false, enable: false },
    {
      code: "paperCount",
      name: "试卷数量",
      disabled: false,
      enable: false
    },
    {
      code: "examCount",
      name: "应考人数",
      disabled: true,
      enable: true
    },
    {
      code: "actualExamCount",
      name: "实考人数",
      disabled: true,
      enable: true
    }
  ]
};

// acorn = {
//   code: 200,
//   message: "成功",
//   data: [
//     { name: "STUDENT_CODE", ordinal: 0, code: "studentCode", desc: "学号" },
//     { name: "TICKET_NUMBER", ordinal: 1, code: "ticketNumber", desc: "考号" },
//     { name: "SITE_NUMBER", ordinal: 2, code: "siteNumber", desc: "座位号" },
//     { name: "STUDENT_NAME", ordinal: 3, code: "studentName", desc: "姓名" },
//     { name: "COURSE_CODE", ordinal: 4, code: "courseCode", desc: "课程代码" },
//     { name: "COURSE_NAME", ordinal: 5, code: "courseName", desc: "课程名称" },
//     { name: "PAPER_NUMBER", ordinal: 6, code: "paperNumber", desc: "试卷编号" },
//     { name: "EXAM_PLACE", ordinal: 7, code: "examPlace", desc: "考点" },
//     { name: "EXAM_ROOM", ordinal: 8, code: "examRoom", desc: "考场" },
//     { name: "EXAM_DATE", ordinal: 9, code: "examDate", desc: "考试日期" },
//     { name: "EXAM_TIME", ordinal: 10, code: "examTime", desc: "考试时间" },
//     { name: "COLLEGE_NAME", ordinal: 11, code: "collegeName", desc: "学院" },
//     { name: "MAJOR_NAME", ordinal: 12, code: "majorName", desc: "专业" },
//     { name: "CLAZZ_NAME", ordinal: 13, code: "clazzName", desc: "班级" }
//   ]
// };
